Subject: Re: [PATCH] meson: ensure correct version-def.h is used

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Jan 2025 09:01:21 -0800

Toon Claes <[email-masked]> writes:

> have a `version-def.h` file in project root directory as well. Because
> `version-def.h` is included in `version.c` using the #include directive
> with double quotes, some compilers will look for the header file in the
> same directory as the source file.

What happens if we use <version-def.h> to include (which is how C
standard tells us to do), with an explicit include path specified
with -I<directory>?  If it solves the issue, that may be a better
approach.

Thanks.